# Get payment methods

Returns the list of payment methods available for the given operation type and country. Requires merchant authentication (x-api-key, x-client-id).

Endpoint: GET /payment-methods
Version: 1.0.0

## Header parameters:

  - `x-api-key` (string, required)
    Your merchant API key (must be kept secure, never expose in client-side code)
    Example: "your-api-key"

  - `x-client-id` (string, required)
    Your merchant client identifier (must be kept secure, never expose in client-side code)
    Example: "your-client-id"

## Query parameters:

  - `operationType` (string, required)
    Operation type (e.g. S = Sell, B = Buy, FF = Fiat to Fiat, CC = Crypto to Crypto)
    Example: "S"

  - `countryCode` (string, required)
    ISO country code (e.g. US, CA)
    Example: "US"

  - `includeDeliveryMethods` (string)
    Include delivery method details
    Enum: "true", "false"

## Response 200 fields (application/json):

  - `success` (boolean)
    Example: true

  - `code` (string)
    Example: "ok"

  - `data` (array)

  - `data.id` (integer)
    Payment method identifier
    Example: 7

  - `data.live` (boolean)
    Whether this method is live (vs test)
    Example: true

  - `data.name` (string)
    Display name of the payment method
    Example: "Interac E-Transfer"

  - `data.reference` (string)
    Reference key for the payment method (e.g. for SDK)
    Example: "interac"

## Response 400 fields (application/json):

  - `code` (string)
    Error code
    Example: "INVALID_INPUT"

  - `message` (string)
    Error message
    Example: "Invalid JSON in request body"

## Response 401 fields (application/json):

  - `code` (string)
    Error code
    Example: "INVALID_INPUT"

  - `message` (string)
    Error message
    Example: "Invalid JSON in request body"

## Response 500 fields (application/json):

  - `code` (string)
    Error code
    Example: "INVALID_INPUT"

  - `message` (string)
    Error message
    Example: "Invalid JSON in request body"


